E-PAN Extraction API
Introduction
E-PAN card is a digitally authenticated PAN Card implemented in e-format by Income Tax Department using Aadhar e-KYC. According to the Income Tax Department, the E-PAN service is only applicable to those applicants whose new PAN Card request has been submitted to proceed via NSDL, UTIITSL or Income Tax Department's e-filling website. E-PAN is only available to Indian Citizens and no NRI's can are applicable for the same. E pan card is relevant to original or physical PAN Card.
How to call the API
Before going for Auto reading, you first need to create an Identity object.
Here you have to pass direct url to the zip,xml or pdf file of E-PAN. With zip file or pdf you have to pass the password in the request body. In case of XML file password is not required.
In case of XML file password is not required.
API Input Guidelines
- zip, pdf or xml File
- Protected password
Step 1: Hit Identities API
curl --location --request POST 'https://signzy.tech/api/v2/patrons/<Patron ID>/identities' \
--header 'Authorization: <Auth Key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"type": "individualPan",
"email": "<email Id>",
"callbackUrl": "https://www.w3schools.com",
"images": [<images Url>]
}'Identity Response Parameters
Parameter Name | Data Type | Description |
|---|---|---|
accessToken | String | This is provided by identities API |
autoRecognition | String | Auto recognises face from aadhaar image |
verification | String | Verification of the image |
forgeryCheck | String | Forgery check of the image |
id | String | Contains the Identity object id |
patronId | String | Unique user ID of the user |
Step 2: Hit Snoops API and receives a response
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/snoops' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{
"service": "Identity",
"itemId": "<Item ID>",
"accessToken": "<Access Token",
"task": "ePan",
"essentials": {
"file": "<E-PAN>",
"password": "<Password of E-PAN>",
"type": "individualPan"
}
}'Response Parameters
Parameters Name | Data Type | Description |
|---|---|---|
accessToken | String | |
id | String | |
result.name | String | Pan holders name |
result.fatherName | String | Father's name of E-PAN holder |
result.gender | String | Gender of E-PAN holder |
result.timestamp | String | Date stamp of E-PAN |
result.x509Data | String | This parameter contains the information about the PAN service provider |
result.x509Data.version | Number | |
result.x509Data.subject | String | |
result.x509Data.issuer | String | |
result.x509Data.serial | String | |
result.x509Data.notBefore | String | |
result.x509Data.notAfter | String | |
result.x509Data.Hash | String | |
result.x509Data.signatureAlgorith | String | PAN holders signature algorithm |
result.x509Data.fingerPrint | String | |
result.x509Data.publicKey | String | |
result.x509Data.publicKey.algorith | String | |
result.x509Data.altNames | String | |
result.x509Data.extentions | String | |
extentions.authorityKeyIdentifier | String | |
extentions.subjectKeyIdentifier | String | |
extentions.basicConstraints | String | |
extentions.keyUsage | String | |
extentions.subjectAlternativeName | String | |
extentions.extendedKeyUsage | String | |
extentions.certificatePolicies | String | |
extentions.authorityInformationAccess | String | |
extentions.cRLDistributionPoints | String | |
isValidEPANDSC | Boolean | Returns whether E-PAN is valid or not |
photo | String | URL of Pan holders image |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].